
Foreman - Bug #13533

patternfly-sass 2.10.0 raises error: File to import not found or unreadable: bootstrap-combobox

02/03/2016 04:34 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3149

  

Description

Functional tests and usage of the Foreman UI is failing with:

ActionView::Template::Error: File to import not found or unreadable: bootstrap-combobox.

Load paths:

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/images

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/javasc

ripts

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/styles

heets

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/fon

ts

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/jav

ascripts

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/sty

lesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery_pwstrength_bootstrap_4-1.2.2/vendor/as

sets/javascript

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/spice-html5-rails-0.1.5/vendor/assets/javascr

ipts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/flot-rails-0.0.3/vendor/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/ace-rails-ap-4.0.1/vendor/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gettext_i18n_rails_js-1.0.3/lib/assets/javasc

ripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gettext_i18n_rails_js-1.0.3/vendor/assets/jav

ascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/underscore-rails-1.8.3/vendor/assets/javascri

pts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/javascrip

ts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/styleshee

ts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gridster-rails-0.5.6/vendor/assets/javascript

s

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gridster-rails-0.5.6/vendor/assets/stylesheet

s

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/javascri

pts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/styleshe

ets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-turbolinks-2.1.0/vendor/assets/javascr
ipts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-rails-3.1.4/vendor/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/turbolinks-2.5.3/lib/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/stylesheets

  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/fon

ts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/fonts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/fonts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/javascripts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/fonts

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/images

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets

  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets

    app/assets/stylesheets/application.scss:12

    app/views/layouts/base.html.erb:15:in `_app_views_layouts_base_html_erb__4253902371080406904_8

8983420'

    app/views/layouts/application.html.erb:5:in `_app_views_layouts_application_html_erb__10526965

57401279407_82521420'

    app/controllers/concerns/application_shared.rb:13:in `set_timezone'

    app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

    test/functional/shared/basic_rest_response_test.rb:28:in `block (2 levels) in basic_edit_test'

 (ActionView::Template::Error)

/usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets/_patt

ernfly.scss:64    

 Filed upstream as https://github.com/patternfly/patternfly-sass/issues/100.

Related issues:

Related to Foreman - Refactor #13827: Unpin patternfly-sass for 2.10.1 release Closed 02/22/2016

Associated revisions

Revision c6d1f780 - 02/03/2016 05:13 AM - Dominic Cleal

fixes #13533 - pin patternfly-sass to < 2.10.0

2.10.0 includes requires pointing to components only supplied in

rails-assets development deps, causing asset compilation to fail:

ActionView::Template::Error: File to import not found or unreadable: bootstrap-combobox.

      gems/patternfly-sass-2.10.0/assets/stylesheets/_patternfly.scss:64

 Filed as https://github.com/patternfly/patternfly-sass/issues/100

Revision fa49293b - 02/16/2016 08:04 AM - Dominic Cleal

refs #13533 - pin patternfly-sass to < 2.10.0

History

#1 - 02/03/2016 04:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3149 added

#2 - 02/03/2016 06:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/patternfly/patternfly-sass/issues/100
https://github.com/patternfly/patternfly-sass/issues/100


Applied in changeset c6d1f780a16d56d0cb2d00f7ce0e4e36086ad8fe.

#3 - 02/22/2016 03:36 AM - Dominic Cleal

- Related to Refactor #13827: Unpin patternfly-sass for 2.10.1 release added
